List Monitors For Run
curl --request GET \
--url https://api.sixtyfour.ai/monitors/for-run/{run_id}import requests
url = "https://api.sixtyfour.ai/monitors/for-run/{run_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.sixtyfour.ai/monitors/for-run/{run_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sixtyfour.ai/monitors/for-run/{run_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sixtyfour.ai/monitors/for-run/{run_id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sixtyfour.ai/monitors/for-run/{run_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sixtyfour.ai/monitors/for-run/{run_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"org_id": "<string>",
"team_id": "<string>",
"name": "<string>",
"frequency": "<string>",
"struct": {},
"tier": "<string>",
"subject_type": "<string>",
"research_plan": "<string>",
"is_active": true,
"disabled_reason": "<string>",
"webhook_url": "<string>",
"webhook_event_types": [
"<string>"
],
"metadata": {},
"last_run_at": "<string>",
"next_run_times": [
"<string>"
],
"row_count": 123,
"active_row_count": 123,
"status": "starting",
"created_at": "<string>",
"updated_at": "<string>"
}
]{
"detail": "Invalid request body"
}{
"detail": "Invalid API key"
}{
"detail": "This organization no longer has access to Sixtyfour. Contact your representative at Sixtyfour."
}{
"detail": "<string>"
}{
"detail": "Internal server error"
}{
"detail": "Could not verify the API key right now. Retry shortly."
}Monitors
List Monitors For Run
GET
/
monitors
/
for-run
/
{run_id}
List Monitors For Run
curl --request GET \
--url https://api.sixtyfour.ai/monitors/for-run/{run_id}import requests
url = "https://api.sixtyfour.ai/monitors/for-run/{run_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.sixtyfour.ai/monitors/for-run/{run_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sixtyfour.ai/monitors/for-run/{run_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sixtyfour.ai/monitors/for-run/{run_id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sixtyfour.ai/monitors/for-run/{run_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sixtyfour.ai/monitors/for-run/{run_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"org_id": "<string>",
"team_id": "<string>",
"name": "<string>",
"frequency": "<string>",
"struct": {},
"tier": "<string>",
"subject_type": "<string>",
"research_plan": "<string>",
"is_active": true,
"disabled_reason": "<string>",
"webhook_url": "<string>",
"webhook_event_types": [
"<string>"
],
"metadata": {},
"last_run_at": "<string>",
"next_run_times": [
"<string>"
],
"row_count": 123,
"active_row_count": 123,
"status": "starting",
"created_at": "<string>",
"updated_at": "<string>"
}
]{
"detail": "Invalid request body"
}{
"detail": "Invalid API key"
}{
"detail": "This organization no longer has access to Sixtyfour. Contact your representative at Sixtyfour."
}{
"detail": "<string>"
}{
"detail": "Internal server error"
}{
"detail": "Could not verify the API key right now. Retry shortly."
}Headers
Path Parameters
Query Parameters
Response
Successful Response
'starting' while an uploaded file's rows are still being added, 'failed' when adding them failed. Nothing is checked until it becomes 'active'. 'cancelled' means the owner cancelled it; 'paused' means it was switched off without cancellation.
Available options:
starting, failed, active, paused, cancelled Was this page helpful?